<div xmlns:th="http://www.thymeleaf.org" class="menu">
 
  <a th:href="@{/}">Home</a>
 
     | &nbsp;
  
   <a th:href="@{/userInfo}">User Info</a>
  
     | &nbsp;
  
   <a th:href="@{/admin}">Admin</a>
    
     | &nbsp;
      
   <a th:if="${#request.userPrincipal != null}" th:href="@{/logout}">Logout</a>
  
</div>